/*

 Zelda Return of the Hylian

    Copyright (C) 2005-2008  Vincent Jouillat

    Please send bugreports with examples or suggestions to www.zeldaroth.fr Bugreports for Linux and Windows version

    Port and fix SDL for AmigaOS 4x and Morphos Hugues Nouvel HunoPPC (2009 Amiga Rulez)

    Bugreports for AmigaOS 4x and Morphos version to nouvel.hugues@orange.fr

    BugFix Font Image on AMIGA

*/

#ifndef __CARTE_H__
#define __CARTE_H__

#include "Jeu.h"

class Carte {
    public :
        Carte(Jeu* jeu);
        ~Carte();
        void init();
        void draw(SDL_Surface* gpScreen);
        void moveLevel(Direction dir);
    private :
        void initDonjon();
        void initEtage();
        void initItems();
        void initName();
        void initCarte();
        void initBoussole();
        Jeu* gpJeu;
        int levely;
        SDL_Surface* image;
};

#endif  // Carte.h
