/*

  Zelda Return of the Hylian

    Copyright (C) 2005-2008  Vincent Jouillat

    Please send bugreports with examples or suggestions to www.zeldaroth.fr Bugreports for Linux and Windows version

    Port and fix SDL for AmigaOS 4x and Morphos Hugues Nouvel HunoPPC (2009 Amiga Rulez)

    Bugreports for AmigaOS 4x and Morphos version to nouvel.hugues@orange.fr

*/

#ifndef __BOUCLIER_H__
#define __BOUCLIER_H__

#include <SDL/SDL.h>

#include "ZoneRect.h"

class Bouclier {
    public :
        Bouclier(SDL_Surface* img, int id = 0);
        ~Bouclier();
        void draw(SDL_Surface* screen, int x, int y, ZoneRect* z, int direction = 0);
        void setZone(ZoneRect* z);
    private :
        ZoneRect* zone;
        SDL_Surface* image;
        int type;
};

#endif  // Bouclier.h
