/*

  Zelda Return of the Hylian

    Copyright (C) 2005-2008  Vincent Jouillat

    Please send bugreports with examples or suggestions to www.zeldaroth.fr Bugreports for Linux and Windows version

    Port and fix SDL for AmigaOS 4x and Morphos Hugues Nouvel HunoPPC (2009 Amiga Rulez)

    Bugreports for AmigaOS 4x and Morphos version to nouvel.hugues@orange.fr

*/

#ifndef __CAISSE_H__
#define __CAISSE_H__

#include "Personnage.h"

class Jeu;

class Caisse : public Personnage {
    public :
        Caisse(Jeu* jeu, int type, int i, int j);
        ~Caisse();
        void draw(SDL_Surface* gpScreen);
        void moveX(int i);
        void moveY(int i);
        void revie();
        Caisse* getSuivant();
        bool pousse(Direction dir);
    private :
        void bouge();
        
        Jeu* gpJeu;
        int id;
        int pousseX;
        int pousseY;
        Direction direction;
        int sx;
        int sy;
};

#endif  // Caisse.h
