/*

    Zelda Return of the Hylian

    Copyright (C) 2005-2008  Vincent Jouillat

    Please send bugreports with examples or suggestions to www.zeldaroth.fr Bugreports for Linux and Windows version

    Port and fix SDL for AmigaOS 4x and Morphos Hugues Nouvel HunoPPC (2009 Amiga Rulez)

    Bugreports for AmigaOS 4x and Morphos version to nouvel.hugues@orange.fr

*/

#ifndef __ENCYCLOPEDIE_H__
#define __ENCYCLOPEDIE_H__

#include <SDL/SDL.h>
#include "Jeu.h"

class Encyclopedie {
    public :
        Encyclopedie(Jeu* jeu);
        ~Encyclopedie();
        void draw(SDL_Surface* gpScreen);
        void init();
        void moveL();
        void moveR();
        void setPage(int i);
    private :
        void fond();
        void placeCadres();
        void cadre(int x, int y, int w, int h, int id);
        
        Jeu* gpJeu;
        int page;
        Ennemi* gpEnnemi;
        SDL_Surface* image;
        SDL_Surface* imageCadre;
};

#endif  // Encyclopedie.h
